#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "diameter"
typedef double real;
const int MaxN = 10004;
const real Pi = 3.1415926535897932384626433832795;

real f [MaxN];
int n;

int main (void)
{
 int i, j;
 real cur, max;
 freopen (TASKNAME ".in", "r", stdin);
 freopen (TASKNAME ".out", "w", stdout);
 while (scanf (" %d", &n) != EOF)
 {
  for (i = 0; i < n; i++)
   scanf (" %lf", &f[i]);
  for (i = 1; i < n; i++)
   if (f[i] < f[i - 1])
    f[i] += 360.0;
  for (i = 0; i < n; i++)
   f[i] = (f[i] * Pi) / 180.0;
  max = -1.0;
  for (i = 0; i < n - 1; i++)
   for (j = i + 1; j < n; j++)
   {
    cur = f[j] - f[i];
    assert (cur > 0.0 && cur < 2.0 * Pi);
    if (cur > Pi) cur = Pi - cur;
    if (max < cur) max = cur;
   }
  max = sqrt ((cos (0.0) - cos (max)) * (cos (0.0) - cos (max)) +
              (sin (0.0) - sin (max)) * (sin (0.0) - sin (max)));
  printf ("%.10lf\n", max);
 }
 return 0;
}
