#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "diameter"
typedef double real;
const int MaxN = 16384;
const real Pi = 3.1415926535897932384626433832795;

real f [MaxN], x [MaxN], y [MaxN];
int n;

inline real rho (real x1, real y1, real x2, real y2)
{
 return sqrt ((x2 - x1) * (x2 - x1) + (y2 - y1) * (y2 - y1));
}

int main (void)
{
 int i, j;
 real cur, max;
 freopen (TASKNAME ".in", "r", stdin);
 freopen (TASKNAME ".out", "w", stdout);
 while (scanf (" %d", &n) != EOF)
 {
  for (i = 0; i < n; i++)
   scanf (" %lf", &f[i]);
  for (i = 1; i < n; i++)
   if (f[i] < f[i - 1])
    f[i] += 360.0;
  for (i = 0; i < n; i++)
   f[i] = (f[i] * Pi) / 180.0,
   x[i] = cos (f[i]),
   y[i] = sin (f[i]);
  max = -1.0;
  for (i = 0; i < n - 1; i++)
   for (j = i + 1; j < n; j++)
   {
    cur = rho (x[i], y[i], x[j], y[j]);
    if (max < cur) max = cur;
   }
  printf ("%.10lf\n", max);
 }
 return 0;
}
