#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "diameter"

enum {OK, WA, PE, JE, NUM};
const char err [NUM] [4] = {"OK", "WA", "PE", "JE"};
const double eps1 = 1E-6, eps2 = 1E-11;

double r, s, t;

FILE * fin, * fout, * fans;

void chkexit (char * msg, int code)
{
 fprintf (stderr, "%s: %s\n", err[code], msg);
 exit (code);
}

int main (int argc, char * argv [])
{
 assert (argc >= 4);
 if ((fin = fopen (argv[1], "r")) == NULL) chkexit ("No input file!", JE);
 if ((fout = fopen (argv[2], "r")) == NULL) chkexit ("No output file!", PE);
 if ((fans = fopen (argv[3], "r")) == NULL) chkexit ("No answer file!", JE);
 fscanf (fout, "%lf", &s);
 fscanf (fans, "%lf", &t);
 r = fabs (s - t);
 if (r > eps1 + eps2)
  chkexit ("Numbers are too far!", WA);
 chkexit ("Contestant and jury agree!", OK);
 fclose (fin);
 fclose (fout);
 fclose (fans);
}
